# Rust Kroz

[![Build Status](https://drone.valter.cat/api/badges/valter/kroz-rs/status.svg)](https://drone.valter.cat/valter/kroz-rs)

This is an **UNOFFICIAL** attempt to rewrite (in Rust) the late 80s/early 90s text-mode action game series Kroz by Apogee Software founder Scott Miller.

The goal is to closely mimic the look and behavior of the original game, but not necessarily recreate it exactly. I plan on making the following changes to make it generally more accessible:

- Remove all the references to ordering/registration
  - [The original game is free and open source now](http://legacy.3drealms.com/news/2009/03/several_old_games_released_as_freeware.html)
- Combine every episode into one executable
- Enable returning to the main menu from the game
- Load custom levels/campaigns from external files
  - A built-in level editor would be nice
- Load custom tile graphics from an external file
- Settings for things like sound volume and controls
- Game speed will be fixed, possibly configurable
  - The original game's speed varied with CPU speed
- Improve control response
- Support Windows, Linux, macOS, and the web

## Building

[Install Rust](https://rustup.rs/)

### Desktop

Run `cargo build` or `cargo run`

### Web

Run `npm run build` or `npm start`

## License

The original "Kroz" copyright 1987 - 2022 Apogee Entertainment Inc. All trademarks and copyrights reserved.

This project has no affiliation with Apogee Entertainment Inc. and the code within is licensed under the [GNU General Public License Version 3](https://www.gnu.org/licenses/gpl-3.0.en.html).
