use bracket_lib::prelude::*;
use hecs::World;

use crate::resources::Resources;

mod entities;
mod flashing_message;
mod map;
mod sidebar;
pub mod vga_color;
mod whip;

pub fn draw(world: &World, resources: &mut Resources, bterm: &mut BTerm) {
    bterm.cls();
    map::draw(resources, bterm);
    entities::draw(world, bterm);
    whip::draw(world, resources, bterm);
    flashing_message::draw(resources, bterm);
    sidebar::draw(resources, bterm);
}
